/*
 *
 * Copyright 2000 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

package ejb.stations;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;
import java.sql.*;


public interface TidalStations extends EJBObject {
    


    public String getDataCategory() throws RemoteException;
    public String getDataType() throws RemoteException;
    public String getDataSet() throws RemoteException;
    public String getStationName() throws RemoteException;
    public Timestamp getStartDate() throws RemoteException;
    public Timestamp getEndDate() throws RemoteException;
    public String getDataTable() throws RemoteException;


    public void setDataCategory(String s) throws RemoteException;
    public void setDataType(String s) throws RemoteException;
    public void setDataSet(String s) throws RemoteException;
    public void setStationName(String s) throws RemoteException;
    public void setStartDate(Timestamp t) throws RemoteException;
    public void setEndDate(Timestamp t) throws RemoteException;
    public void setDataTable(String s) throws RemoteException;


}

